Open CASCADE Technology 7.8.2.dev
|
This class implements the following algorithms used to create Cirlec from Geom. More...
#include <GC_MakeCircle.hxx>
Public Member Functions | |
GC_MakeCircle (const gp_Circ &C) | |
creates a circle from a non persistent circle C by its conversion. | |
GC_MakeCircle (const gp_Ax2 &A2, const Standard_Real Radius) | |
A2 is the local coordinates system of the circle. It is not forbidden to create a circle with Radius = 0.0 Status is "NegativeRadius" if Radius < 0. | |
GC_MakeCircle (const gp_Circ &Circ, const Standard_Real Dist) | |
Make a Circle from Geom <TheCirc> parallel to another Circ <Circ> with a distance <Dist>. If Dist is greater than zero the result is enclosing the circle <Circ>, else the result is enclosed by the circle <Circ>. | |
GC_MakeCircle (const gp_Circ &Circ, const gp_Pnt &Point) | |
Make a Circle from Geom <TheCirc> parallel to another Circ <Circ> and passing through a Pnt <Point>. | |
GC_MakeCircle (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3) | |
Make a Circ from gp <TheCirc> passing through 3 Pnt2d <P1>,<P2>,<P3>. | |
GC_MakeCircle (const gp_Pnt &Center, const gp_Dir &Norm, const Standard_Real Radius) | |
Make a Circle from Geom <TheCirc> with its center | |
GC_MakeCircle (const gp_Pnt &Center, const gp_Pnt &PtAxis, const Standard_Real Radius) | |
Make a Circle from Geom <TheCirc> with its center | |
GC_MakeCircle (const gp_Ax1 &Axis, const Standard_Real Radius) | |
Make a Circle from Geom <TheCirc> with its center | |
const Handle< Geom_Circle > & | Value () const |
Returns the constructed circle. Exceptions StdFail_NotDone if no circle is constructed. | |
operator const Handle< Geom_Circle > & () const | |
Public Member Functions inherited from GC_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. | |
gce_ErrorType | Status () const |
Returns the status of the construction: | |
Additional Inherited Members | |
Protected Attributes inherited from GC_Root | |
gce_ErrorType | TheError |
This class implements the following algorithms used to create Cirlec from Geom.
GC_MakeCircle::GC_MakeCircle | ( | const gp_Circ & | C | ) |
creates a circle from a non persistent circle C by its conversion.
GC_MakeCircle::GC_MakeCircle | ( | const gp_Ax2 & | A2, |
const Standard_Real | Radius ) |
A2 is the local coordinates system of the circle. It is not forbidden to create a circle with Radius = 0.0 Status is "NegativeRadius" if Radius < 0.
GC_MakeCircle::GC_MakeCircle | ( | const gp_Circ & | Circ, |
const Standard_Real | Dist ) |
Make a Circle from Geom <TheCirc> parallel to another Circ <Circ> with a distance <Dist>. If Dist is greater than zero the result is enclosing the circle <Circ>, else the result is enclosed by the circle <Circ>.
Make a Circle from Geom <TheCirc> parallel to another Circ <Circ> and passing through a Pnt <Point>.
Make a Circ from gp <TheCirc> passing through 3 Pnt2d <P1>,<P2>,<P3>.
GC_MakeCircle::GC_MakeCircle | ( | const gp_Pnt & | Center, |
const gp_Dir & | Norm, | ||
const Standard_Real | Radius ) |
Make a Circle from Geom <TheCirc> with its center
GC_MakeCircle::GC_MakeCircle | ( | const gp_Pnt & | Center, |
const gp_Pnt & | PtAxis, | ||
const Standard_Real | Radius ) |
Make a Circle from Geom <TheCirc> with its center
GC_MakeCircle::GC_MakeCircle | ( | const gp_Ax1 & | Axis, |
const Standard_Real | Radius ) |
Make a Circle from Geom <TheCirc> with its center
|
inline |
const Handle< Geom_Circle > & GC_MakeCircle::Value | ( | ) | const |
Returns the constructed circle. Exceptions StdFail_NotDone if no circle is constructed.